{% extends 'app.html.twig' %}

{% block app_title %}
    <h1 class="mb-5">{{ 'Account Setup'|trans }}</h1>
{% endblock %}

{% block app_body %}
    <h2>{{ 'Two-Factor Verification'|trans }}</h2>

    <form method="post" action="{{ path('toggle-2fa') }}">
        {% if is2FAActive %}
            <p>{{
                'Two-Factor verification is {state}.'
                |trans({'state': '<strong class="text-success">' ~ 'enabled'|trans ~ '</strong>'})
                |raw }}</p>

            <p>
                <button class="btn btn-danger" name="2fa_state" value="0">{{ 'Disable'|trans }}</button>
            </p>

            <p class="mt-4">{{ 'You have {count} backup codes available.'|trans({'count': backupCodesCount}) }}</p>

            <p><a class="btn btn-info" href="{{ path('backup-codes-2fa') }}">{{ 'More information'|trans }}</a></p>
        {% else %}
            <p>{{
                'Two-Factor verification is {state}.'
                |trans({'state': '<strong class="text-danger">' ~ 'disabled'|trans ~ '</strong>'})
                |raw }}</p>

            <button class="btn btn-success" name="2fa_state" value="1">{{ 'Enable'|trans }}</button>
        {% endif %}
    </form>
{% endblock %}

